#ifndef CLOPREPORT_H
#define CLOPREPORT_H

#include <QWidget>

#include "CHttpBll.h"

namespace Ui {
class clopReport;
}

class clopReport : public QWidget
{
    Q_OBJECT
signals:
    void goback();
public:
    explicit clopReport(CPracticeRecord pr, bool bFromCache = false, QWidget *parent = nullptr);
    ~clopReport();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
    void on_btn_clop_goback_clicked();

private:
    Ui::clopReport *ui;
    CPracticeRecord m_pr;
    bool m_bFromCache;
};

#endif // CLOPREPORT_H
